# Get channel OAuth URL Generates an OAuth authorization URL for initiating the OAuth flow for a given channel type. Request: channelTypeId - ID of the channel type to generate an OAuth URL for. customRedirectUri - Optional override for the OAuth redirect URI. Response: url - The OAuth authorization URL to redirect the user to. Endpoint: POST /api/v1/channel/retrieve-oauth-url Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `channelTypeId` (string) Rule data fields - `customRedirectUri` (string) Rule data fields ## Response 200 fields (application/json): - `url` (string) Rule data fields ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)